unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ImgList, StdCtrls, ComCtrls, Grids, ValEdit, NRegView, ExtCtrls;

type
  TForm1 = class(TForm)
    ImageList1: TImageList;
    ValueListEditor1: TValueListEditor;
    Edit1: TEdit;
    ComboBox1: TComboBox;
    Label1: TLabel;
    Label2: TLabel;
    StatusBar1: TStatusBar;
    RegView1: TNRegView;
    Panel1: TPanel;
    Panel2: TPanel;
    procedure RegView1Change(Sender: TObject; Node: TTreeNode);
    procedure ComboBox1Change(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure ValueListEditor1DblClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Unit2;

{$R *.dfm}

procedure TForm1.RegView1Change(Sender: TObject; Node: TTreeNode);
begin
     ValueListEditor1.Strings:= RegView1.KeyNames;
     Edit1.Text:= RegView1.CurrentPath;
end;

procedure TForm1.ComboBox1Change(Sender: TObject);
begin
     StatusBar1.SimpleText:= 'This operation will take a few seconds...Please Wait...';
     RegView1.Items.Clear;
     Edit1.Clear;
     ValueListEditor1.Strings.Clear;
     Case ComboBox1.ItemIndex Of
     0    : RegView1.RegistryType:= rtClasses_Root;
     1    : RegView1.RegistryType:= rtCurrent_Config;
     2    : RegView1.RegistryType:= rtCurrent_User;
     3    : RegView1.RegistryType:= rtLocal_Machine;
     4    : RegView1.RegistryType:= rtUsers;
     end;
     RegView1.Search;
     ValueListEditor1.Strings:= RegView1.KeyNames;
     StatusBar1.SimpleText:= 'Ready';
end;

procedure TForm1.FormShow(Sender: TObject);
begin
     ComboBox1Change(Self);
end;

procedure TForm1.ValueListEditor1DblClick(Sender: TObject);
begin
     If (ValueListEditor1.RowCount>0) and
        (RegView1.CurrentNode<>Nil) and
        (RegView1.KeyNames.Count>0) then begin
     Form2:= TForm2.Create(Self);
     Form2.ShowModal;
     end;
end;

end.
